# Barry::BadData Class Reference
[Exceptions]

`#include <error.h>`

Inheritance diagram for Barry::BadData:

[legend]
Collaboration diagram for Barry::BadData:

[legend]

List of all members.

## Detailed Description

Thrown by record classes if their data is invalid and cannot be uploaded to the Blackberry.

Definition at line 108 of file error.h.

The documentation for this class was generated from the following file:

- error.h